# FoundationClasses
TKernel
Quantity

# Quantity_HArray1OfColor Class Reference

`#include <Quantity_HArray1OfColor.hxx>`

Inheritance diagram for Quantity_HArray1OfColor:

[legend]

## Public Member Functions

Standard_EXPORT | Quantity_HArray1OfColor (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | Quantity_HArray1OfColor (const Standard_Integer Low, const Standard_Integer Up, const Quantity_Color &V)
Standard_EXPORT void | Init (const Quantity_Color &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Quantity_Color &Value)
const Quantity_Color & | Value (const Standard_Integer Index) const
Quantity_Color & | ChangeValue (const Standard_Integer Index)
const Quantity_Array1OfColor & | Array1 () const
Quantity_Array1OfColor & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Quantity_Array1OfColor | myArray

## Constructor & Destructor Documentation

Standard_EXPORT Quantity_HArray1OfColor::Quantity_HArray1OfColor | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT Quantity_HArray1OfColor::Quantity_HArray1OfColor | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Quantity_Color & | V
| ) |

## Member Function Documentation

const Quantity_Array1OfColor& Quantity_HArray1OfColor::Array1 | ( |  | ) | const

Quantity_Array1OfColor& Quantity_HArray1OfColor::ChangeArray1 | ( |  | ) |

Quantity_Color& Quantity_HArray1OfColor::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const Quantity_HArray1OfColor::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT void Quantity_HArray1OfColor::Init | ( | const Quantity_Color & | V | ) |

Standard_Integer Quantity_HArray1OfColor::Length | ( |  | ) | const

Standard_Integer Quantity_HArray1OfColor::Lower | ( |  | ) | const

void Quantity_HArray1OfColor::SetValue | ( | const Standard_Integer | Index,
|  | const Quantity_Color & | Value
| ) |

Standard_Integer Quantity_HArray1OfColor::Upper | ( |  | ) | const

const Quantity_Color& Quantity_HArray1OfColor::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Quantity_Array1OfColor Quantity_HArray1OfColor::myArray `[private]`

The documentation for this class was generated from the following file:

- Quantity_HArray1OfColor.hxx